Subject: Re: Fix git-svn for SVN 1.7

From: Eric Wong <[email-masked]>
Date: Mon, 30 Jul 2012 22:15:48 +0000

Michael G Schwern <[email-masked]> wrote:
> On 2012.7.30 1:38 PM, Eric Wong wrote:
> > Anyways, I don't like relying on operator overloading, it makes code
> > harder to read and review.
> 
> Right now, canonicalization is a bug generator.  Paths and URLs have to be in
> the same form when they're compared.  This requires meticulous care on the
> part of the coder and reviewer to check every comparison.  It scatters the
> logic for proper comparison all over the code.  Redundant logic scattered
> around the code is a Bad Thing.  It makes it more likely a coder will forget
> the logic, or get it wrong, and a human reviewer must be far more vigilant.

<snip>  I agree completely with canonicalization.

> The only downside is when chasing down a bug related to canonicalization one
> might have to realize that eq is overloaded.

Having to realize eq is overloaded is a huge downside to me.